### Function

# Fwupd Remote from_variant

since: 1.0.0

#### Declaration [src]

    FwupdRemote*
    fwupd_remote_from_variant (
      GVariant* value
    )

#### Description [src]

Creates a new remote using serialized data.

Available since: 1.0.0

#### Parameters

`value`

  Type: `GVariant`

  The serialized data.

  The data is owned by the caller of the function.

#### Return value

Type: `FwupdRemote`

A new `FwupdRemote`, or `NULL` if `value` was invalid.

The caller of the function takes ownership of the data, and is responsible for freeing it.